> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch vehicle details



## OpenAPI

````yaml /openapi.json get /vehicle-information/details
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /vehicle-information/details:
    get:
      tags:
        - sra
      summary: Fetch vehicle details
      operationId: SraController_getVehicleDetails
      parameters:
        - name: brand
          required: true
          in: query
          description: The brand
          schema:
            type: string
        - name: model
          required: true
          in: query
          description: The model
          schema:
            type: string
        - name: version
          required: true
          in: query
          description: version
          schema:
            type: string
        - name: fiscalPower
          required: false
          in: query
          description: fiscal power
          schema:
            minimum: 1
            type: number
        - name: numberOfSeats
          required: false
          in: query
          description: number of seats
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetVehicleDetailsOutput'
components:
  schemas:
    GetVehicleDetailsOutput:
      type: object
      properties:
        data:
          description: List of vehicle sraIds
          type: array
          items:
            $ref: '#/components/schemas/VehicleInformation'
      required:
        - data
    VehicleInformation:
      type: object
      properties:
        id:
          type: string
        brand:
          type: string
          description: 'Optional: The brand code'
        model:
          type: string
          description: 'Optional: The model'
        version:
          type: string
          description: 'Optional: the version'
        fiscalPower:
          type: number
          description: 'Nullable: the administrative power'
          nullable: true
        energy:
          type: string
          description: 'Nullable: the energy'
          nullable: true
        energyCode:
          type: string
          description: 'Nullable: the energy code'
          nullable: true
        bodyWork:
          type: string
          description: 'Nullable: the body work'
          nullable: true
        latestPriceInEuro:
          type: number
          description: 'Nullable: latest recorded retail price'
          nullable: true
        transmission:
          type: string
          description: 'Nullable: transmission'
          nullable: true
      required:
        - id
        - fiscalPower
        - energyCode
        - bodyWork
        - latestPriceInEuro
        - transmission

````